#
# spec file for package qlogic-qla2xxx (Version 8.03.00.14.10.3.k4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

              ##------------------------------------------------------------##
              ## Define local constants, as needed                          ##
              ##------------------------------------------------------------##
%define MfrName		qlogic 
%define DriverName	qla2xxx
%define DriverVersion	8.03.00.14.10.3.k4
%define Release         0
%define KMPName		%{MfrName}-%{DriverName}
%define DriverBuild	%{DriverVersion}
%define FullName	%{KMPName}-%{DriverBuild}
              ##------------------------------------------------------------##
              ## List the tags necessary to define required parameters      ##
              ##------------------------------------------------------------##

Name:           qlogic-qla2xxx
BuildRequires:  kernel-source kernel-syms
License:        GPL v2 or later
Group:          System/Kernel
Summary:        QLogic qla2xxx fibre channel HBA driver.
Version:        8.03.00.14.10.3.k4
Release:        2
Source0:        %{FullName}.tgz
Source1:        Module.supported
Source2:        depmod.sh
#Source2:	Makefile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package kdump um xenpae
              ##------------------------------------------------------------##
              ## A one-line description of the driver                       ##
              ##------------------------------------------------------------##

%description
QLogic qla2xxx fibre channel HBA driver.  This driver is not upstream
because it provides multipathing support within the driver and also
direct IOCTL support from QLogic apps.



%package        KMP
License:        GPL v2 or later
Summary:        QLogic qla2xxx fibre channel HBA driver.
Group:          System/Kernel

%description    KMP
QLogic qla2xxx fibre channel HBA driver. This driver is not upstream
because it provides multipathing support within the driver and also
direct IOCTL support from QLogic apps.



Authors:
--------
    John Mauzy (jmauzy@novell.com)

%prep
              ##------------------------------------------------------------##
              ## Tasks to be performed prior to building                    ##
              ##------------------------------------------------------------##
## %setup -n %FullName
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj
              ##------------------------------------------------------------##
              ## Tasks to be performed to accomplish the build process      ##
              ##------------------------------------------------------------##

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r source obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor
done
              ##------------------------------------------------------------##
              ## Indicate what entities are to be installed in the RPM      ##
              ##------------------------------------------------------------##

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD/obj/$flavor
done
	      ## Describe the changes made to this spec file, along with    ##
              ## the date and author of the changes                         ##
              ##------------------------------------------------------------##

%changelog
* Tue Apr 20 2010 - poswald@novell.com
-Initial PLDP of the qla2xxx v8.03.00.14.10.3.k4
